Skip to main content
PATCH
/
webhooks
/
{webhook_id}
/
{token}
Update webhook with token
curl --request PATCH \
  --url https://api.fluxer.app/v1/webhooks/{webhook_id}/{token} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "avatar": "aSDinaTvuI8gbWludGxpZnk="
}
'
{
  "id": "<string>",
  "guild_id": "<string>",
  "channel_id": "<string>",
  "name": "<string>",
  "token": "<string>",
  "avatar": "<string>"
}

Path Parameters

webhook_id
string<snowflake>
required

The ID of the webhook

Pattern: ^(0|[1-9][0-9]*)$
token
string
required

The token

Body

application/json
name
string

The new name of the webhook

avatar
string<byte> | null

The new avatar image as a base64-encoded data URI

Response

Success

id
string
required

The unique identifier (snowflake) for the webhook

Pattern: ^(0|[1-9][0-9]*)$
guild_id
string
required

The ID of the guild this webhook belongs to

Pattern: ^(0|[1-9][0-9]*)$
channel_id
string
required

The ID of the channel this webhook posts to

Pattern: ^(0|[1-9][0-9]*)$
name
string
required

The display name of the webhook

token
string
required

The secure token used to execute the webhook

avatar
string | null

The hash of the webhook avatar image